<? 
require_once("admin/config.php");
require_once("inc/meta.inc.php");
require_once ("inc/head.inc.php");
require_once ("inc/head_menu.inc.php");
echo "<br />
<table width=950 cellpadding=0 cellspacing=0 border=0 align=center>
<tr valign=top>
<td width=326>";

require_once ("inc/category.inc.php");
require_once ("inc/cart.inc.php");
require_once ("inc/razdely.inc.php");
require_once ("inc/new_items.inc.php");

echo "</td>
<td align=center width=624>";
	

//////////////////////   ВЫВОД ФОРМЫ ДЛЯ ОФОРМЛЕНИЕ ЗАКАЗА    ///////////////////////////////////////////
if (@$_GET['actions'] == "buy" && !@$_GET['op']) 
{
?>
<form method=post action="<?=$h?>/cart/buy/send/">
<div align="center" class="bgray">Заполните контактную форму:</div>
<br />
<table width="80%" class="gray b" border="0" cellpadding="15" cellspacing="12" align="center">
  <tr valign="middle" bgcolor="#F9F9F9">
    <td align="center"><img src="images/code.gif" border="0" alt="Введите этот защитный код"><br />
      <br />
      Защитный код:<span class="bred">*</span>
      <input type="text" name="securityCode" maxlength="4" size=5 title="Введите код, который изображен на картинке">
    </td>
  </tr>
  <tr valign="middle" bgcolor="#F9F9F9">
    <td align="center">Ваше Ф.И.О.:<span class="bred">*</span><br />
      <br />
      <input type=text name=name  size=50></td>
  </tr>
  <tr valign="middle" bgcolor="#F9F9F9">
    <td align="center">Ваш телефон для подтверждения заказа:<span class="bred">*</span><br />
      <br />
      <input type=text name=phone  size=50></td>
  </tr>
  <tr valign="middle" bgcolor="#F9F9F9">
    <td align="center">E-mail, если есть:<br />
      <br />
      <input type=text name=email size=50></td>
  </tr>
  <tr valign="middle" bgcolor="#F9F9F9">
    <td align="center">Комментарии к заказу:<br />
      <br />
      <textarea name=text rows="5" cols="49"></textarea>
    </td>
  </tr>
</table>
<br />
<div align="center" class="bred">Поля, обязательные для заполнения отмечены [*]</div>
<table width="80%" border="0" cellpadding="5" cellspacing="2" align="center">
  <tr valign="middle">
    <td align="center"><input type=submit value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Отправить заказ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" class="longok w50" ></td>
  </tr>
</table>
</form>
<?
}
//////////////////////    КОНЕЦ  ВЫВОДА ФОРМЫ ДЛЯ ОФОРМЛЕНИЕ ЗАКАЗА    ///////////////////////////////////////////

//////////////////////   ОФОРМЛЕНИЕ ЗАКАЗА И ПОСЫЛКА ПИСЕМ МАНАГЕРУ И ПОКУПАТЕЛЮ    ///////////////////////////////////////////
else if (isset($_GET['op']) && $_GET['op'] == "send") 
{
	if($_POST['securityCode'] && $_SESSION['securityCode'])
	{
		if (strtolower($_POST['securityCode']) == $_SESSION['securityCode']) $errors = 0;
		else die ("<HTML><HEAD><META HTTP-EQUIV='Refresh' CONTENT='5; URL=".$h."/cart/buy/'></HEAD></HTML><br /><br /><center><strong>Введите правильно то, что вы видите на картинке с защитным кодом!</strong></center>");
	} 



	if ($_POST['name'] && $_POST['phone'])
	{
		$name 								= htmlspecialchars(substr($_POST['name'],0,250));
		$phone 								= htmlspecialchars(substr($_POST['phone'],0,250));
		if (isset($_POST['email'])) $email 	= htmlspecialchars(substr($_POST['email'],0,64));
		if (isset($_POST['text'])) $text 	= htmlspecialchars(substr($_POST['text'],0,255));
		
		if (!get_magic_quotes_gpc())
		{
			 $name 		= mysql_escape_string($name);
			 $phone			= mysql_escape_string($phone);
			 $email 		= mysql_escape_string($email);
			 $text 		= mysql_escape_string($text);
		}
		else
		{
			$name 			= str_replace("'","`", $name);
			$phone 			= str_replace("'","`", $phone);
			$email 			= str_replace("'","`", $email);
			$text 			= str_replace("'","`", $text);
		}

		$query = mysql_query("INSERT jshop_clients SET name = '".$name."', phone = '".$phone."', email = '".$email."', text = '".$text."', date = NOW()");
		if (!$query) die("<center><strong>Не удалось занести Ваши данные в базу данных. Попробуйте еще раз</strong></center>");
		
		$id_last_insert = mysql_insert_id();

		if ($query)
		{
			if ($_SESSION['tovar'])
			{
				foreach($_SESSION['tovar'] as $id_in_sess => $znachenie)
				{
					$query_1 = mysql_query("INSERT jshop_tovar SET id_clients = '".$id_last_insert."', id_tovara = '".$znachenie."', end = 'no', date = NOW(), time = NOW()");
					if (!$query_1) die("<center><strong>Не удалось занести заказ в базу данных. Попробуйте еще раз</strong></center>");
				}
			}
			else die("<center><strong>Не удалось занести заказ в базу данных. Попробуйте еще раз</strong></center>");

			// готовим мыло
			$fio = "";
			$fio .= "ФИО клиента: ".$name."\n";
			$fio .= "Контактный телефон: ".$phone."\n";
			if ($email) {$fio .= "E-mail: ".$email."\n"; }
			if ($text) { $fio .= "Комментарии к заказу: ".$text."\n"; }
			$fio .= "\n\nЗаказанные товары";
			$summa = 0;
			$send = "";
			
			// выбираем товары последнего клиента
			$query_2 = mysql_query("SELECT * FROM jshop_tovar WHERE id_clients = '".$id_last_insert."'"); 
			if (mysql_num_rows($query_2))
			{
				while($all_tovars = mysql_fetch_array($query_2))
				{
					// выбираем товары
					$query_3 = mysql_query ("SELECT * FROM jshop_cat WHERE id = '".$all_tovars['id_tovara']."'");
					if (mysql_num_rows($query_3))
					{	
						while ($tovar_for_mail = mysql_fetch_array ($query_3))
						{
							$send .= "Наименование: ".$tovar_for_mail['name']."\n";
							$send .= "Ссылка для просмотра данного наименования: ".$h."/cat/".$tovar_for_mail['category']."/item/".$tovar_for_mail['id']."/\n";
							$send .= "Цена: ".$tovar_for_mail['price']."\n\n";
							$summa = $summa + $tovar_for_mail['price'];
						}
					}
				}
				
				if ($send != "") $send .= "\nНа общую сумму: ".$summa." руб.";
			
				
				$to = $manager_mail;
				$subject="=?windows-1251?b?".base64_encode("Уведомление о заказе в Вашем интернет-магазине")."?=\r\n";
				$return = "<".$admin_mail.">";
				$headers = 'MIME-Version: 1.0'."\r\n".
						   'Content-type: text/plain; charset=windows-1251'."\r\n".
						   'From: '.$return."\r\n".
						   'Reply-To: '.$return."\r\n".
						   'Return-Path: '.$return."\r\n".
						   'X-Mailer: PHP/'.phpversion()."\r\n";
				$headers .="Content-type: text/plain; charset=windows-1251"."\r\n";
				$msg = "\n\n".$fio."\n\n".$send; 
				if (mail($to, $subject, $msg, $headers)) echo "<br /><br /><br /><center><strong>Спасибо за заказ. Менеджер свяжется с Вами в ближайшее время</strong></center>";	
				
				$summa = 0;
				$send = "";
			}
		}
		else {echo "<br /><br /><br /><br /><center><strong>Не удалось занести заказ в базу данных!</strong></center>";}
	}
	else die ("<br /><br /><br /><br /><center><strong>Недостаточно введенных данных, для оформления заказа!</strong></center>");
}
//////////////////////   КОНЕЦ БЛОКА ОФОРМЛЕНИЯ ЗАКАЗА И ПОСЫЛКИ ПИСЕМ МАНАГЕРУ И ПОКУПАТЕЛЮ    ///////////////////////////////////////////

//////////////////////    УДАЛЕНИЕ ОДНОЙ ПОЗИЦИИ ИЗ КОРЗИНЫ   ///////////////////////////////////////////
elseif (isset($_GET['actions']) && $_GET['actions'] == "drop_id" && isset($_GET['id_pos_in_sess'])) // если в GETе пришло "удаление" одной позиции из корзины
{
	if (is_numeric($_GET['id_pos_in_sess']))
	{	
		$get_id_pos = $_GET['id_pos_in_sess'];
		foreach($_SESSION['tovar'] as $id_in_sess => $znachenie) 
		{
			if ($id_in_sess == $get_id_pos) // если перем. из GETа = индексу в массиве сессии
			{
				unset($_SESSION['tovar'][$id_in_sess]); // удаляем эту позицию из сессии
				echo "<HTML><HEAD><META HTTP-EQUIV='Refresh' CONTENT='0; URL=".$h."/cart/'></HEAD></HTML>";
			}
		}
	}
	else { echo "кривой запрос!"; }
}
//////////////////////    КОНЕЦ БЛОКА УДАЛЕНИЯ ОДНОЙ ПОЗИЦИИ ИЗ КОРЗИНЫ    ///////////////////////////////////////////

//////////////////////    ОЧИСТКА КОРЗИНЫ    ///////////////////////////////////////////
else if (isset($_GET['actions']) && $_GET['actions'] == "clear_cart") // если в GETе пришло "очистить корзину"
{
	unset($_SESSION['tovar']); 	// очищаем
	echo "<HTML><HEAD><META HTTP-EQUIV='Refresh' CONTENT='0; URL=".$h."/cart/'></HEAD></HTML>";
}
//////////////////////    КОНЕЦ БЛОКА ОЧИСТКИ КОРЗИНЫ    ///////////////////////////////////////////

//////////////////////    ВЫВОД ПОЗИЦИЙ ТОВАРОВ    ///////////////////////////////////////////
else if (!$_GET) // если в GETе ничего не пришло, коннектимся к БД и выводим инфу
{
	if (isset($_SESSION['tovar']) && $_SESSION['tovar'] != "")
	{
		$summa = 0;
		echo "<center><span class=\"bgray\">Корзина покупателя</center><br />";
		echo "<table width=100% align=center border=0 cellpadding=10 cellspacing=3><tr valign=top bgcolor=#F9F9F9>";
		echo "<td width=40% valign=top><center><span class=\"bgreen\">Наименование</span></center>";
		echo "</td>";
		echo "<td width=35% valign=top><center><span class=\"bgreen\">Категория</span></center>";
		echo "</td>";
		echo "<td width=20% valign=top><center><span class=\"bgreen\">Цена</span></center>";
		echo "</td>";
		echo "<td width=5% valign=top> ";
		echo "</td></tr>";
		foreach($_SESSION['tovar'] as $id_in_sess => $znachenie)  //перебираем массив
		{
			$count_pos = count($_SESSION['tovar']);
			// считаем общую сумму за товары в корзине
			$total_price = mysql_query("SELECT SUM(price) AS total_price FROM jshop_cat where id = '".$znachenie."'");
			$sum = mysql_fetch_array($total_price);

			// выводим инфу о товарах					
			$query = mysql_query("select * from jshop_cat where id = '".$znachenie."'"); 
			$ar= mysql_fetch_array ($query);
			$num = mysql_num_rows ($query);

			// узнаем категорию товара					
			$query_cat = mysql_query("select * from jshop_categories where id = '".$ar['category']."'");
			$ar_cat = mysql_fetch_array ($query_cat);
			echo "<tr valign=top>";
			echo "<td width=40% valign=top bgcolor=#FFFFFF>";
			echo "<a href=\"".$h."/cat/".$ar_cat['id']."/item/".$znachenie."/\">";
			echo "<span class=\"gray decor\">".$ar['name']."</span>";
			echo "</a>";
			echo "</td>";
			echo "<td width=35% valign=top bgcolor=#FFFFFF>";
			echo "<a href=\"".$h."/cat/".$ar_cat['id']."/\"><span class=\"orange decor\">".$ar_cat['category_name']."</span></a>";
			echo "</td>";
			echo "<td width=20% valign=top bgcolor=#FFFFFF align=center>";
			echo "<span class=\"red b\">".$ar['price']."</span> <span class=\"gray b\">руб.</span>";
			echo "</td>";
			$summa = $summa + $ar['price'];
			echo "<td width=5% bgcolor=#FFFFFF align=center>";
			echo "<a href=\"".$h."/cart/drop_id/".$id_in_sess."/\" title=\"Удалить это наименование из корзины\">
			<img alt=\"Удалить это наименование из корзины\" src=\"".$im."/drop.gif\">
			</a>";
			echo "</td></tr>";
		}
		echo "</table>";
	}
	
	if (@$num > 0)
	{
		echo "<center>";
		echo "<br><span class=\"gray b\">Позиций в Вашей корзине:</span>  <span class=\"red b\">".$count_pos."</span> <span class=\"gray b\">, на сумму</span>  <span class=\"red b\">".$summa." руб.</span><br /><br /> 
		<a href=\"".$h."/cart/buy/\"><span class=\"green b\"><img src=\"".$im."/more.gif\"></span></a>";
		echo "<br /><br><a href=\"".$h."/cart/clear_cart/\"><span class=\"orange\">Очистить корзину</span></a> ";
		echo "</center>";
	}
	else echo "<br /><br /><br /><center><strong>Ваша корзина пуста.</strong></center>";
}
//////////////////////    КОНЕЦ БЛОКА ВЫВОДА ПОЗИЦИЙ ТОВАРОВ    ///////////////////////////////////////////
else echo "<HTML><HEAD><META HTTP-EQUIV='Refresh' CONTENT='0; URL=".$h."/'></HEAD></HTML>";
echo "</td></tr></table>";
require_once ("inc/foot.inc.php");
echo "</body></html>";
?>